package com.lanren.huhu.partner.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName(value = "agent_expand_city_agent_detail")
public class AgentExpandCityAgentDetail implements Serializable {
     @TableId(value = "dat", type = IdType.INPUT)
    private Date dat;

     @TableId(value = "agent_id", type = IdType.INPUT)
    private Integer agentId;

     @TableId(value = "expand_agent_id", type = IdType.INPUT)
    private Integer expandAgentId;

    @TableField(value = "user_id")
    private Integer userId;

    @TableField(value = "expand_user_id")
    private Integer expandUserId;

    @TableField(value = "expand_agent_time")
    private Date expandAgentTime;

    @TableField(value = "created_at")
    private Integer createdAt;

    @TableField(value = "updated_at")
    private Integer updatedAt;

    private static final long serialVersionUID = 1L;

    public static final String COL_USER_ID = "user_id";

    public static final String COL_EXPAND_USER_ID = "expand_user_id";

    public static final String COL_EXPAND_AGENT_TIME = "expand_agent_time";

    public static final String COL_CREATED_AT = "created_at";

    public static final String COL_UPDATED_AT = "updated_at";
}