package com.lanren.huhu.partner.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lanren.huhu.partner.domain.AgentExpandDaily;
import com.lanren.huhu.partner.model.MailContentRow;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.UpdateProvider;

import java.util.List;

@Mapper
public interface AgentExpandDailyMapper extends BaseMapper<AgentExpandDaily> {
    int updateBatch(List<AgentExpandDaily> list);

    int batchInsert(@Param("list") List<AgentExpandDaily> list);

    int insertOrUpdate(AgentExpandDaily record);

    int insertOrUpdateSelective(AgentExpandDaily record);

    @UpdateProvider(type = AgentExpandDailySqlProvider.class, method = "updateByDatByDetail")
    int updateByDatByDetail(String datStr);

    int insertByDetail();

    Integer getMonthCntByAgent(int agentId, long beginTs, long endTs);

    MailContentRow getRegRow(String dat, Integer agentId, String monthBegin, String monthEnd);

    List<MailContentRow> getVipRows(String yesterdayBegin, String yesterdayEnd, Integer agentId, String monthBegin, String monthEnd);
}