package com.lanren.huhu.partner.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lanren.huhu.partner.domain.AgentExpandDetail;
import com.lanren.huhu.partner.model.MailContentRow;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AgentExpandDetailMapper extends BaseMapper<AgentExpandDetail> {

    int updateBatch(List<AgentExpandDetail> list);

    int batchInsert(@Param("list") List<AgentExpandDetail> list);

    int insertOrUpdate(AgentExpandDetail record);

    int insertOrUpdateSelective(AgentExpandDetail record);

    List<MailContentRow> getsVipRows(String yesterdayBegin, String yesterdayEnd, Integer agentId, String monthBegin, String monthEnd);

    List<MailContentRow> getCengjiChildRows(String yesterdayBegin, String yesterdayEnd, Integer agentId, String monthBegin, String monthEnd);
}