package com.lanren.huhu.partner.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

@Data
@TableName(value = "agent_mail_list")
public class AgentMailList implements Serializable {
    @TableField(value = "id")
    private Integer id;

    /**
     * 代理商id
     */
    @TableField(value = "agent_id")
    private Integer agentId;

    /**
     * 代理商名字
     */
    @TableField(value = "agent_name")
    private String agentName;

    /**
     * 代理商手机号
     */
    @TableField(value = "agent_phone")
    private String agentPhone;

    /**
     * 邮箱
     */
    @TableField(value = "agent_mail")
    private String agentMail;

    /**
     * 抄送邮箱
     */
    @TableField(value = "agent_cc")
    private String agentCc;

    /**
     * 类型
     */
    @TableField(value = "mail_type")
    private Integer mailType;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_AGENT_ID = "agent_id";

    public static final String COL_AGENT_NAME = "agent_name";

    public static final String COL_AGENT_PHONE = "agent_phone";

    public static final String COL_AGENT_MAIL = "agent_mail";

    public static final String COL_AGENT_CC = "agent_cc";

    public static final String COL_MAIL_TYPE = "mail_type";
}